# $Revision: 1.4.2.1 $, $Date: 2003/03/13 00:58:49 $
#
# Conditional build:
# _without_tests - do not perform "make test"
%include	/usr/lib/rpm/macros.perl
%define	pdir	String
%define	pnam	REPartition
Summary:	String::REPartition - Generates a regex to partition a data set
Summary(pl):	String::REPartition - generowanie wyraenia regularnego do podziau zbioru danych
Name:		perl-String-REPartition
Version:	1.0
Release:	2
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module exports a single function - make_partition_re. It takes as
its first argument a number between 0 and 1, representing a
percentage, and as its second argument a reference to a list of
strings. It returns a regular expression which is guaranteed to match
the percentage of the strings in the list represented by the number in
the first argument. More importantly, the regex returned is guaranteed
*not* to match the rest of the string in the list. That is, if the
inputs were '0.6' and a reference to a list of 100 strings, the
returned regex would match 60 of the strings in the list and not match
the other 40.

%description -l pl
Ten modu eksportuje jedn funkcj - make_partition_re. Przyjmuje ona
jako pierwszy argument liczb midzy 0 a 1, reprezentujc podzia
procentowy, a jako drugi argument referencj do listy acuchw.
Zwraca wyraenie regularne, ktre gwarantuje dopasowanie do takiej
czci acuchw w licie, jaka zostaa podana jako pierwszy argument.
Co wicej, zwrcone wyraenie gwarantuje, e *nie* bdzie pasowa do
reszty acuchw z listy. To oznacza, e np. jeli parametrami byy
0.6 i referencja do listy 100 acuchw, zwrcone wyraenie regularne
bdzie pasowao do 60 acuchw i nie pasowao do pozostaych 40.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_sitelib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-String-REPartition.spec,v $
Revision 1.4.2.1  2003/03/13 00:58:49  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.4  2003/02/25 00:41:48  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:38:27  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/08/27 22:37:23  qboosh
- pl description, release 2

Revision 1.1  2002/08/09 10:00:08  radek
- new, STBR
